
*********************************************************************************************************
*********************************************************************************************************
************************************ 5. Number of disclosers ********************************************
*********************************************************************************************************
*********************************************************************************************************

************** Individual level ******************

/*** Create dynamic evader dataset ***/
foreach yr in 01 02 03 04 05 06 07 08 09 10 11 12 13 {
use $data\big`yr'.dta, clear
keep if vd_evader==1
cap drop year
gen year=20`yr'
save $temp\evaderinfo`yr'_IND.dta, replace
}

use $temp\evaderinfo01_IND.dta, clear
foreach yr in 02 03 04 05 06 07 08 09 10 11 12 13 {
append using $temp\evaderinfo`yr'_IND.dta
}

/*** collapse to individual-level ***/
*CHECK:
gen temp1 = vd_case_dropped 
gen temp2 = vd_case_closed
gen temp3 = vd_case_in_process 

collapse (min) vd_year_of_contact (max) vd_case_dropped (mean) temp*, by(ID)
tab temp1
tab temp2
tab temp3

gen obs_all=1
gen obs_nondropped=1
replace obs_nondropped=0 if vd_case_dropped==1
collapse (sum) obs_all obs_nondropped, by(vd_year_of_contact)

twoway (connect obs_all vd_year_of_contact), xtitle("year of first contact") ytitle("number of disclosers") title("Number of disclosers, by year") subtitle("Individuals") scheme(s1mono)
graph export $graphs\DisclosersByYear_All_Ind.pdf, as(pdf) replace
graph save $graphs\DisclosersByYear_All_Ind.gph, replace
twoway (connect obs_nondropped vd_year_of_contact), xtitle("year of first contact") ytitle("number of disclosers") title("Number of non-dropped disclosers, by year") subtitle("Individuals") scheme(s1mono)
graph export $graphs\DisclosersByYear_NonDropped_Ind.pdf, as(pdf) replace
graph save $graphs\DisclosersByYear_NonDropped_Ind.gph, replace


************** Household level ******************
foreach yr in 01 02 03 04 05 06 07 08 09 10 11 12 13 {
use $data\big`yr'hhold.dta, clear
keep if vd_evader==1
cap drop year
gen year=20`yr'
save $temp\avoidance`yr'.dta, replace
}
*
use $temp\avoidance01.dta, clear
foreach yr in 02 03 04 05 06 07 08 09 10 11 12 13 {
append using $temp\avoidance`yr'.dta
}


/*** collapse to household-level ***/
*CHECK:
gen temp1 = vd_case_dropped 
gen temp2 = vd_case_closed
gen temp3 = vd_case_in_process 

collapse (min) vd_year_of_contact (max) vd_case_dropped (mean) temp*, by(ind_hhold)
tab temp1
tab temp2
tab temp3

gen obs_all=1
gen obs_nondropped=1
replace obs_nondropped=0 if vd_case_dropped==1
collapse (sum) obs_all obs_nondropped, by(vd_year_of_contact)

twoway (connect obs_all vd_year_of_contact), xtitle("year of first contact") ytitle("number of disclosers") title("Number of disclosers, by year") subtitle("Households") scheme(s1mono)
graph export $graphs\DisclosersByYear_All_HHld.pdf, as(pdf) replace
graph save $graphs\DisclosersByYear_All_HHld.gph, replace
twoway (connect obs_nondropped vd_year_of_contact), xtitle("year of first contact") ytitle("number of disclosers") title("Number of non-dropped disclosers, by year") subtitle("Households") scheme(s1mono)
graph export $graphs\DisclosersByYear_NonDropped_HHld.pdf, as(pdf) replace
graph save $graphs\DisclosersByYear_NonDropped_HHld.gph, replace
